@import "/src/app/layout/variables";

// .closed {
//   display:none !important;
// }
.main-sidebar-body {
  // overflow-y: auto;

  &::-webkit-scrollbar {
    display: none;
  }
}

.sidebar-logo {
  background-color: $sidebar-background !important;
  text-align: center;
  margin-top: -$header;
  margin-bottom: 10px;
  padding-top: 10px;
  img {
    height: 100px;
  }
}

.searchBox {
  position: relative;
  margin: 10px;
  input {
    padding-right: 25px;
    // background: rgba(0,0,0,0.01);
    border: 0px;
    box-shadow: 0px 0px 10px inset rgba(0,0,0,0.2);
  }
  i {
    position: absolute;
    top: 12px;
    right: 10px;
    font-size: 16px;
    cursor: pointer;
  }
}

.main-sidebar {
  background-color: $sidebar-background !important;
  // width: $sidebar-width;
  flex-direction: column;
  -ms-flex-negative: 0;
  flex-shrink: 0;
  border-top: 1px solid $border-color;
  box-shadow: 0 8px 6px -6px rgba(183, 192, 206, 0.2);
    -webkit-box-shadow: 0 8px 6px -6px rgba(183, 192, 206 , 0.2);
    -moz-box-shadow: 0 8px 6px -6px rgba(183, 192, 206, 0.2);
  // border-right: 1px solid $border-color;
  // transition: all .4s;
  position: relative;
  display: flex;
  z-index: 999;
  border-right-width: 1px;
  visibility: visible;
  background-color: #25233c;
  @media (min-width: 767.99px) {
    &.main-sidebar-sticky {
      left: 0%;
      top: 64px;

      &.closed {
        left: -$sidebar-width;
      }

      .sidemenu-logo {
        display: none;
      }

      // .main-sidebar-body {
      //   margin-top: 15px !important;
      // }
    }
    .nav-item:first-child .nav-link{
      // padding-left: 0 !important;
    }
  }

  @media (max-width: 767.98px) {
    &.main-sidebar-sticky {
      left: -$sidebar-width;
      top: 64px;

      &.closed {
        left: 0%;
      }

      .sidemenu-logo {
        display: none;
      }

      .main-sidebar-body {
        // margin-top: 15px !important;
        position: absolute;
        background: #fff;
        left: 0;
        width: 100%;
        box-shadow: 3px 0 10px 0 rgb(183 192 206 / 20%);
    -webkit-box-shadow: 3px 0 10px 0 rgb(183 192 206 / 20%);
    -moz-box-shadow: 3px 0 10px 0 rgba(183, 192, 206, 0.2);
        .nav{
          flex-direction: column !important;
          .nav-item{
            &.show {
              >.nav-sub {
                position: relative !important;
              }
            }
          }
        }
      }
    }
  }

  &.main-sidebar-sticky {
    position: relative;
    // top: 0;
    // left: 0;
    top: 0;
    // box-shadow: none;
    background: var(--sidebar-background);

    .sidemenu-logo {
      position: fixed;
      z-index: 9999;
      width: $sidebar-width;
      // background:  var(--sidebar-background);
      background: #fff;
      // transition: all .4s;
      padding: 13.4px 21px;

      .main-logo {
        color: var(--primary-color);
        font-weight: 700;
        font-size: 14px;
        line-height: 37px;
        font-family: $font-family;
        text-transform: uppercase;
        // white-space: nowrap;
        letter-spacing: 0px;
        display: -ms-flexbox;
        display: flex;
        -ms-flex-align: left;
        align-items: left;
        position: relative;
        margin: auto;
        -ms-flex-pack: left;
        justify-content: left;

        .header-brand-img {
          line-height: 2.5rem;
          vertical-align: middle;
          width: auto;
          max-width: 100%;
          margin: 0 10px 0 auto;
          max-height: 37px;
        }
      }

      .logo-text {
        line-height: 15px;
        font-size: 13px;
      }
    }

    .main-sidebar-body {
      // margin-top: 65px;
      // padding: 12px 0;

      .nav {
        -ms-flex-direction: row;
        flex-direction: row;
        // padding: 0 0 0 15px;
        -ms-flex-pack: center;
        // justify-content: space-between;
        margin: 0 auto;
      }

      .nav {
        display: -ms-flexbox;
        display: flex;
        -ms-flex-wrap: wrap;
        flex-wrap: wrap;
        /* padding-left: 0; */
        margin-bottom: 0;
        list-style: none;
        width: 100%;

        .nav-item {
          position: relative;
          display: block;
          // transition-duration: .25s;
          // margin: 6px 0;
          // padding: 6px 0px;
          // border-bottom: 1px solid #eee;
          &.active{
            .sidemenu-label{color: var(--brand-color) !important;}
          }
          &:hover{
            // a i {
            //   color: var(--brand-color);
            // }
            .sidemenu-label{color: var(--brand-color);}
          }
          @media (min-width: 767.98px) {

          &.no-child:hover{
            &>a i {
              color: var(--brand-color);
            }
          }
          &.has-child:hover {
            &>a i {
              color: var(--brand-color);
            }
            &>.sidemenu-label{color: var(--brand-color);}
            .right {
              i {
                transform: rotate(180deg) !important;
                color: var(--brand-color);
              }
            }
            .nav-sub {
              display: block;
              opacity: 1;
              position: absolute;
              background: #fff;
              max-height: 100vh;
              min-width: 200px;
              border-radius: 4px;
              box-shadow: 1px 0 20px rgba(0,0,0,0.08);

              .nav-sub-item{
                padding: 0px 15px;
                &:first-child{padding-top: 10px}
                &:last-child{padding-bottom: 10px}
                .nav-sub-link{
                   padding: 5px 15px 5px 5px;
                  i{
                    font-size: 4.5px;
                    vertical-align: middle;
                  }
                &:hover{
                  background-color: rgba(0,0,0,0.08);
                  i{
                    color: $brand-color;
                }}
                }
              }
            }
          }
        }

          a {
            text-decoration: none;
            cursor: pointer;
            // >div i {
            //   color: rgba(0,0,0,0.8);
            //   // color: var(--brand-color);
            // }
          }

          i {
            // width: 40px;
            margin-right: 10px;
            text-align: center;
          }

          &.active {
            .sidemenu-icon {
              background: var(--primary-color);
              color: #fff;
            }

            // .nav-link {
                // &::before {
                //     border-right: 20px solid #25233c;
                // }
                // &::after {
                //     border-right: 20px solid #25233c;
                // }
            // }
            &.show {
              .nav-link {
                .sidemenu-label {
                  color: var(--brand-color);
                  // color: #fff;
                  // font-weight: bold;
                }

                &:hover {
                  &>.sidemenu-label {
                    // color: var(--primary-color);
                    color: #fff;
                  }
                }
                &::before {
                  background-color: $primary-color;
                }
                .right {
                  text-align: right;
                  i {
                    width: 14px;
                    // transition: all .2s;
                    transform: rotate(180deg);
                    color: var(--brand-color);
                  }
                }
              }
            }
          }

          i.angle {
            -ms-transform-origin: center;
            transform-origin: center;
            position: absolute;
            top: 15px;
            right: 20px;
            font-size: 12px;

            svg {
              width: 10px;
            }
          }

          .nav-link {
            display: -ms-flexbox;
            display: flex;
            -ms-flex-align: center;
            align-items: center;
            justify-content: left;
            padding: 22px 10px;
            font-weight: 400;
            font-size: 14px;
            color: $sidemenu-color;
            // border-radius: 30px 0 0 30px;
            transition: none;
            .right {
              text-align: right;
              margin-left: 5px;
              i {
                width: 14px;
                transition: all .2s;
                transform: rotate(0deg);
                &.fa-angle-down:before{
                  font-size: 10px;
                }
              }
            }

            &::before {
              // content: "";
              // position: absolute;
              // width: 3px;
              // height: 100%;
              // top: 0px;
              // z-index: 9;
              // left: 0;
              // border-radius: 0px 5px 5px 0px;
              // border-right: 20px solid #25233c;
            }

            &::after {
              content: "";
              position: absolute;
              // top: 43px;
              z-index: 0;
              right: 0;
              bottom: -10px;
              // height: 30px;
              height: 10px;
              border-top-color: rgba(0, 0, 0, 0);
              border-left-color: rgba(0, 0, 0, 0);
              border-bottom: rgba(0, 0, 0, 0);
              border-radius: 0 48px 0 0;
              // border-right: 20px solid #25233c;
            }

            // &.active {
            //     .sidemenu-icon {
            //         background: var(--primary-color);
            //         color: #fff;
            //     }
            // }
            &:hover {
              &>.sidemenu-label {
                color: var(--brand-color);
                // color: #fff;
              }
            }

            &.active {
              .sidemenu-label {
                // color: var(--primary-color);
                color: #fff;
              }

              &:hover {
                &>.sidemenu-label {
                  // color: var(--primary-color);
                  color: #fff;
                }
              }
            }

            &.with-sub {
              position: relative;
            }

            .sidemenu-icon {
              font-size: 17px;
              line-height: 0;
              margin-right: 10px;
              width: 35px;
              height: 35px;
              line-height: 35px;
              text-align: center;
              border-radius: 50%;
              position: relative;

              i {
                position: absolute;
                right: 5px;
                bottom: -5px;
                font-size: 60%;
                text-shadow: -2px -2px 0px #25233c;
              }
            }
          }

          .sidemenu-label {
            // transition: margin-left 0.45s ease;
          }

          i.angle {
            transition: all 0.45s ease;
          }

          &.no-child.active {
            a {
              text-decoration: none;
              cursor: pointer;
              >div i {
                color: var(--brand-color) !important;
              }
            }
            .sidemenu-label {
              color: var(--brand-color) !important;
            }

            &:hover {

              &>.sidemenu-label {
                color: var(--brand-color);
              }
            }

            .shape1 {
              display: none;
              position: absolute;
              // top: -30px;
              // width: 20px;
              // height: 30px;
              top: -10px;
              width: 20px;
              height: 10px;
              right: 0;
            }

            .shape2 {
              display: none;
              position: absolute;
              // top: 35px;
              // width: 20px;
              // height: 30px;
              bottom: -10px;
              width: 20px;
              height: 10px;
              right: 0;
            }

            .nav-link {
              // background-color: var(--sidebar-active-background);
              position: relative;
              z-index: 1;
              text-align: center;
              // border-radius: 30px 0 0 30px;
              // margin: 10px auto 10px 0;
              margin: 0px auto 0px 0;
              border: 0 solid rgba(0, 0, 0, 0);
              border-right: 0;
              width: inherit;
            }
          }

          &.active {
            .sidemenu-label {
              // color: var(--primary-color);
              color: var(--white-color);
            }

            &:hover {
              &>.sidemenu-label {
                // color: var(--primary-color);
                color: var(--white-color);
              }
            }

            .shape1 {
              display: none;
              position: absolute;
              // top: -30px;
              // width: 20px;
              // height: 30px;
              top: -10px;
              width: 20px;
              height: 10px;
              right: 0;
            }

            .shape2 {
              display: none;
              position: absolute;
              // top: 35px;
              // width: 20px;
              // height: 30px;
              bottom: -10px;
              width: 20px;
              height: 10px;
              right: 0;
            }

            .nav-link {
              // background-color: var(--sidebar-active-background);
              position: relative;
              z-index: 1;
              text-align: center;
              border-radius: 30px 0 0 30px;
              // margin: 10px auto 10px 0;
              margin: 0px auto 0px 0;
              border: 0 solid rgba(0, 0, 0, 0);
              border-right: 0;
              width: inherit;
            }
          }

          &.show {
            >.nav-sub {
              display: block;
              // transition: all 2s;
              position: absolute;
              background: #fff;
              min-width: 200px;

              .nav-sub-item{
                padding: 0px 15px;
                &:first-child{padding-top: 10px}
                &:last-child{padding-bottom: 10px}
                .nav-sub-link{
                   padding: 5px 15px 5px 5px;
                  i{
                    font-size: 4.5px;
                    vertical-align: middle;
                  }
                &:hover{
                  i{
                    color: $brand-color;
                }}
                }
              }
            }

            i.angle {
              transform: rotate(90deg);
              // color: var(--primary-color);
              color: #fff;
            }
          }

          :hover {
            // &>i{color: var(--brand-color);}
            &>.sidemenu-label {
              // margin-left: 5px;
              color: var(--brand-color);
            }
          }

          .nav-sub {
            list-style: none;
            padding: 0;
            // margin-left: 1.2rem;
            // display: none;
            overflow: hidden;

            .nav-sub-item {
              .shape1,
              .shape2 {
                display: none;
              }

              .nav-sub-link {
                display: -ms-flexbox;
                display: flex;
                -ms-flex-align: center;
                align-items: center;
                color: rgba(1, 1, 1, 0.6);
                font-size: 13px;
                // padding: 5px 15px 5px 5px;
                position: relative;
                justify-content: space-between;

                .sidemenu-label {
                  color: rgba(0, 0, 0, 1);
                }

                &:hover {
                    & .sidemenu-label {
                        color: var(--brand-color) !important;
                    }
                }
                &.active {
                  color: #fff;
                  // background-color: var(--sidebar-active-background);
                  border-radius: 30px 0px 0px 30px;

                  // &::before {
                  //   opacity: 1;
                  //   margin-left: 10px;
                  //   margin-right: 10px;
                  //   color: var(--primary-color);
                  // }

                  .sidemenu-label {
                    // color: #fff;
                    color: $sidemenu-color;
                    // font-weight: bold;
                    position: relative;
                    // text-shadow: 0px 0px 10px rgba(0, 0, 0, 0.5);
                    // &::before {
                    //     content: "";
                    //     background-color: #000;
                    //     width: 100%;
                    //     height: 100%;
                    //     position: absolute;
                    //     display: block;
                    // }
                  }

                  i.angle {
                    transform: rotate(90deg) !important;
                    color: #fff !important;
                  }

                  // &::after {
                  //         content: "";
                  //         width: 100%;
                  //         height: 100%;
                  //         background-image: linear-gradient(to right, rgba(255,255,255,0.3) , transparent);
                  //         position: absolute;
                  //         z-index: -1;
                  //         left: 0px;
                  //         border-radius: 50px 0px 0px 50px;
                  //         box-shadow: 0px 2px 5px rgba(0, 0, 0, 0.9);
                  // }
                }

              }

              .nav-sub-link:before {
                // content: "";
                // font-family: typicons;
                // content: "\f132";
                // font-family: bootstrap-icons !important;
                // font-style: normal;
                // font-weight: 400;
                // text-decoration: inherit;
                // top: 8px;
                // font-size: 12px;
                // opacity: .4;
                // margin-right: 22px;
                // color: hsla(0, 0%, 100%, .8);
              }


              &.has-child.active {
                >.active.nav-sub-link {
                  background-color: transparent;
                  position: relative;
                  z-index: 1;
                  text-align: center;
                  border-radius: 30px 0 0 30px;
                  // margin: 10px auto 10px 0;
                  margin: 0px auto 0px 0;
                  border: 0 solid rgba(0, 0, 0, 0);
                  border-right: 0;
                  width: inherit;

                  &::before {
                    color: #fff;
                  }

                  .sidemenu-label {
                    // color: #fff !important;
                  }

                  &:hover {
                    &>.sidemenu-label {
                      color: var(--primary-color);
                    }
                  }
                }
              }
            }
          }
        }
      }

      .nav-sub {
        // transition: all .2s;
      }

      .nav-sub .nav-sub1 {
        display: none;
        // transition: all 0.9s;
      }

      .nav-sub-item.show .nav-sub1 {
        // display: block;
        // transition: all 2s;
      }

      a.nav-sub-link.with-sub1 {
        position: relative;

        .fe-chevron-right {
          color: rgba(255, 255, 255, 0.4) !important;
          top: 10px !important;
          transform: rotate(0deg) !important;
          // &::before {
          //     content: "\f285";
          //     font-family: bootstrap-icons !important;
          // }
        }
      }
    }
  }
}

.badge.badge-danger {
  background-color: $red-color;
  border-radius: 20px;
}
.badge-text {
  color: $font-color;
}




.main-sidebar-body .nav-item+.nav-item {
  margin-top: -1px;
}

.main-sidebar-body .nav-item .nav-link.active:after {
  content: "";
  position: absolute;
  top: 43px;
  z-index: 0;
  right: 0;
  bottom: 0;
  height: 30px;
  border-top-color: rgba(0, 0, 0, 0);
  border-left-color: rgba(0, 0, 0, 0);
  border-bottom: rgba(0, 0, 0, 0);
  border-radius: 0 48px 0 0;
}

li {
  &>ul {
    // transition: height .2s;
    // height: 0;
    max-height: 0px;
    opacity: 0;
    // transform: translateY(-50px);
  }
}

li.show {
  &>ul {
    // transition: height .2s;
    // height: auto;
    max-height: 1000px;
    opacity: 1;
    // transform: translateY(0px);
  }
}

@keyframes height {
  from   {max-height: 0;}
  to {max-height: 1000px;}
}
